#-------------------------------------------------
#
# Project created by QtCreator 2013-05-07T10:23:43
#
#-------------------------------------------------

lessThan(QT_MAJOR_VERSION, 5) : include(/usr/local/qtango/include/qtango6/qtango.pri)

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets uitools
greaterThan(QT_MAJOR_VERSION, 4): include(/usr/local/qtango/include/qtango6/qtango.pri)



QT       += core gui sql

# DEFINES -= QT_NO_DEBUG_OUTPUT

CONFIG += release

greaterThan(QT_MAJOR_VERSION, 4) {
    QT += widgets
    VER_SUFFIX = -qt5

    message("")
    message("================================================================")
    message("             Building qgraphicsplot with qt5                    ")
    message("       Libraries will be named libqgraphicsplot-qt5             ")
    message("================================================================")
    message("")
} else {
    VER_SUFFIX =
}

TARGET = bin/blmhistory
TEMPLATE = app

INCLUDEPATH += /usr/local/qgraphicsplot/include/qgraphicsplot /usr/local/thdb/include/thdb

RESOURCES += blmhistory.qrc

SOURCES += src/main.cpp\
        src/blmhistory.cpp \
    src/db/dbthread.cpp \
    src/db/hdbdata.cpp \
    src/image.cpp \
    src/painter.cpp \
    src/label.cpp \
    src/plot/plot.cpp \
    src/plot/blmscalelabel.cpp \
    src/db/hdbdataaligner.cpp \
    src/widgets/vlabel.cpp \
    src/timeintervalhelper.cpp \
    src/db/dbdatacache.cpp \
    src/widgets/confdockwidget.cpp \
    src/widgets/magnifierlabel.cpp \
    src/imagedata.cpp \
    src/guihelper.cpp \
    src/windowssaverestore.cpp \
    src/exportdata.cpp

HEADERS  += src/blmhistory.h \
    src/db/dbthread.h \
    src/db/hdbdata.h \
    src/image.h \
    src/painter.h \
    src/label.h \
    src/plot/plot.h \
    src/blmhistory_constants.h \
    src/plot/blmscalelabel.h \
    src/db/hdbdataaligner.h \
    src/widgets/vlabel.h \
    src/timeintervalhelper.h \
    src/db/dbdatacache.h \
    src/widgets/confdockwidget.h \
    src/widgets/magnifierlabel.h \
    src/imagedata.h \
    src/guihelper.h \
    src/windowssaverestore.h \
    src/widgets/labeltext.h \
    src/exportdata.h

FORMS    += src/blmhistory.ui

LIBS += -L/usr/local/qgraphicsplot/lib -L/usr/local/thdb/lib -lQGraphicsPlot$${VER_SUFFIX} -lTHdb$${VER_SUFFIX}
