#ifndef LABELTEXT_H
#define LABELTEXT_H

#include <QString>

#define LABELTEXT QString("<h3>Blm history</h3><p>Click on the calendar start/stop time " \
    "edit widgets or click one of the time shortcut buttons on the <b>Tools</b>/<b>Main</b> widget.</p>" \
    "<p>The <em>Show Data on Click</em> button causes an immediate data fetch when one of the " \
    "shortcut buttons is clicked. The <em>Live Mode</em> button updates data according to the " \
    "time interval specified by the spin box on its right.</p><p>If the <em>Save start/stop dates " \
    " checkbox is checked, then the last used start and stop dates are saved for the next program " \
    "execution.</p>" \
    "<h3>Image properties</h3><p>The <em>Image</em> tab contains a set of tools aimed at personalizing " \
    "the colours of the image and its properties. It is possible to draw a grid and to change the " \
    "dynamic range of the image according to linear or logarithmic scales. <br/>"\
    "Time grid can be drawn if the time step is sufficiently long on the <cite>x</cite> scale.</p>" \
    "<h3>The Magnifier</h3><p>The magnifier provides a zoomed view of the current rectangle centered " \
    "at the pointer position on the image.</p>" \
    "<h3><cite>Forward</cite> and <cite>Fast Forward</cite> (<cite>Rewind</cite>) buttons</h3>" \
    "At the botton of the image, <cite>forward</cite> and <cite>fast forward</cite> buttons allow to "\
    " advance (go back) by hourly or daily steps.</p>" \
    "<h3>Keyboard shortcuts</h3><p>You can move the cursor by one minute on the x axis pressing the left/" \
    "right arrow keys and by one blm on the y axis with the up and down arrow keys. See the <cite>Keyboard" \
    " Shortcuts</cite> on the Tools window for further details.</p>" \
    "<h3>Plots</h3><p>By clicking on a point on the image, the <cite>Single BLM/time</cite> and " \
    "<cite>BLMs values at fixed time</cite> provide a view of the selected blm values over time " \
    "and a view of the values of all BLMs at the selected timestamp. Right clicking on each plot " \
    "provides access to the configuration of the plots. Scrolling over the plots zooms the view.</p>" \
    "<h3>Detaching windows</h3><p>The Tools window and the two plots can be detached from the main window " \
    "and float in the desktop. The layout of the application is remembered through subsequent executions. " \
    "Drag the window on its title bar or click on the top right buttons to make the windows float around </p>" \
    "or dock them into the main window." \
    "" \
    "" \
    "")

#endif // LABELTEXT_H
