#ifndef EXPORTDATA_H
#define EXPORTDATA_H

#include <QHash>
#include "db/hdbdata.h"

class ExportData
{
public:
    ExportData();

    bool save(const QHash<QString, QList<HdbData> > &attDataHash,
              const QStringList& orderedDevices, const QString &attName);

    void dialogOpenFile();

    QString error() const { return mError; }

    QString filePath() const { return mFilePath; }

private:
    QString mError,mFilePath ;
};

#endif // EXPORTDATA_H
