#ifndef BLMSCALELABEL_H
#define BLMSCALELABEL_H

#include <scalelabelinterface.h>
#include <QStringList>

class BlmScaleLabel : public ScaleLabelInterface
{
public:
    BlmScaleLabel();

    virtual QString label(double value) const;

    void setBlmDevNames(const QStringList &blmDevNames);

    virtual ScaleLabelInterface::Type type() const { return ScaleLabelInterface::LabelMap; }

    virtual QString longestLabel() const;

private:
    QStringList mBlmNames;

    QString mLongestString;

};

#endif // BLMSCALELABEL_H
