#ifndef PLOT_H
#define PLOT_H

#include <plotscenewidget.h>

class Plot : public PlotSceneWidget
{
    Q_OBJECT
public:

    enum Type { Undefined, TimeOnX, BlmOnX };

    Plot(QWidget *parent = 0);

    void setType(Type t);

    Type type() const;

public slots:
    void updateData(const QString& name, const QVector<double> &xdata,
                    const QVector<double> &yData);


private:
    Type mType;

};

#endif // PLOT_H
