#ifndef MAGNIFIERLABEL_H
#define MAGNIFIERLABEL_H

#include <QLabel>

class MagnifierLabel : public QLabel
{
    Q_OBJECT
public:
    explicit MagnifierLabel(QWidget *parent = 0);
    
signals:
    
public slots:

    void magnifyArea(const QRect& r, const QPixmap* image);

    void setCrossColor(const QColor &c);

    void setCrossAlpha(int alpha);

private:

    QColor mCrossColor;

    int mCrossAlpha;
    
};

#endif // MAGNIFIERLABEL_H
